<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <title>What&#8217;s new in Antidoc v2.0 :: Wovalab open-source projects</title>
    <link rel="canonical" href="https://wovalab.gitlab.io/open-source/docs/antidoc/latest/index.html">
    <link rel="next" href="general-info.html">
    <meta name="generator" content="Antora 3.0.2">
    <link rel="stylesheet" href="../../_/css/site.css">
    <script async src="https://www.googletagmanager.com/gtag/js?id=G-3KJN6K6QRD"></script>
    <script>function gtag(){dataLayer.push(arguments)};window.dataLayer=window.dataLayer||[];gtag('js',new Date());gtag('config','G-3KJN6K6QRD')</script>
    <script>var uiRootPath = '../../_'</script>
    <link rel="icon" href="../../favicon.ico" type="image/x-icon">  </head>
  <body class="article">
<header class="header">
  <nav class="navbar">
    <div class="navbar-brand">
      <a class="navbar-item logo" title="Wovalab" href="https://www.wovalab.com"><img src="../../_/img/wovalab-light-vertical.svg" alt="Wovalab" width="64"></a>
      <a class="navbar-item" href="https://wovalab.gitlab.io/open-source/docs">Wovalab open-source projects</a>
      <div class="navbar-item search hide-for-print">
        <div id="search-field" class="field">
          <input id="search-input" type="text" placeholder="Search the docs">
          <label class="filter checkbox">
            <input type="checkbox" data-facet-filter="component:antidoc" checked> In this project
          </label>
        </div>
      </div>
      <button class="navbar-burger" data-target="topbar-nav">
        <span></span>
        <span></span>
        <span></span>
      </button>
    </div>
  </nav>
</header>
<div class="body">
<div class="nav-container" data-component="antidoc" data-version="2.0">
  <aside class="nav">
    <div class="panels">
<div class="nav-panel-menu is-active" data-panel="menu">
  <nav class="nav-menu">
    <h3 class="title"><a href="index.html">Antidoc</a></h3>
<ul class="nav-list">
  <li class="nav-item" data-depth="0">
<ul class="nav-list">
  <li class="nav-item is-current-page" data-depth="1">
    <a class="nav-link" href="index.html">What&#8217;s new</a>
  </li>
  <li class="nav-item" data-depth="1">
    <a class="nav-link" href="general-info.html">General information</a>
  </li>
</ul>
  </li>
  <li class="nav-item" data-depth="0">
<ul class="nav-list">
  <li class="nav-item" data-depth="1">
    <a class="nav-link" href="labview-tool/overview.html">LabVIEW tool</a>
  </li>
</ul>
  </li>
  <li class="nav-item" data-depth="0">
<ul class="nav-list">
  <li class="nav-item" data-depth="1">
    <a class="nav-link" href="labview-api/overview.html">LabVIEW API</a>
  </li>
</ul>
  </li>
  <li class="nav-item" data-depth="0">
<ul class="nav-list">
  <li class="nav-item" data-depth="1">
    <a class="nav-link" href="create-addon/overview.html">Create an add-on</a>
  </li>
</ul>
  </li>
</ul>
  </nav>
</div>
<div class="nav-panel-explore" data-panel="explore">
  <div class="context">
    <span class="title">Antidoc</span>
    <span class="version">2.0</span>
  </div>
  <ul class="components">
    <li class="component">
      <a class="title" href="../../asciidoc-toolkit/latest/index.html">AsciiDoc toolkit</a>
      <ul class="versions">
        <li class="version is-latest">
          <a href="../../asciidoc-toolkit/latest/index.html">1.8</a>
        </li>
        <li class="version">
          <a href="../../asciidoc-toolkit/1.7/index.html">1.7</a>
        </li>
        <li class="version">
          <a href="../../asciidoc-toolkit/1.6/index.html">1.6</a>
        </li>
      </ul>
    </li>
    <li class="component is-current">
      <a class="title" href="index.html">Antidoc</a>
      <ul class="versions">
        <li class="version is-current is-latest">
          <a href="index.html">2.0</a>
        </li>
      </ul>
    </li>
    <li class="component">
      <a class="title" href="../../antidoc-addon-lvproj/latest/index.html">Antidoc add-on: LabVIEW project</a>
      <ul class="versions">
        <li class="version is-latest">
          <a href="../../antidoc-addon-lvproj/latest/index.html">2.1</a>
        </li>
        <li class="version">
          <a href="../../antidoc-addon-lvproj/2.0/index.html">2.0</a>
        </li>
      </ul>
    </li>
    <li class="component">
      <a class="title" href="../../antidoc-addon-toolkit/latest/index.html">Antidoc add-on: LabVIEW toolkit</a>
      <ul class="versions">
        <li class="version is-latest">
          <a href="../../antidoc-addon-toolkit/latest/index.html">2.0</a>
        </li>
      </ul>
    </li>
    <li class="component">
      <a class="title" href="../../cli-tool-for-antidoc/latest/index.html">Antidoc CLI</a>
      <ul class="versions">
        <li class="version is-latest">
          <a href="../../cli-tool-for-antidoc/latest/index.html">2.1</a>
        </li>
        <li class="version">
          <a href="../../cli-tool-for-antidoc/2.0/index.html">2.0</a>
        </li>
        <li class="version">
          <a href="../../cli-tool-for-antidoc/1.2.1/index.html">1.2.1</a>
        </li>
      </ul>
    </li>
    <li class="component">
      <a class="title" href="../../about/index.html">Community</a>
    </li>
  </ul>
</div>    </div>
  </aside>
</div>
<main class="article">
<div class="toolbar" role="navigation">
<button class="nav-toggle"></button>
  <a href="../../index.html" class="home-link"></a>
<nav class="breadcrumbs" aria-label="breadcrumbs">
  <ul>
    <li><a href="index.html">Antidoc</a></li>
    <li><a href="index.html">What&#8217;s new</a></li>
  </ul>
</nav>
  <div class="edit-this-page"><a href="https://gitlab.com/wovalab/open-source/labview-doc-generator/edit/docs/v2.0/docs/modules/ROOT/pages/index.adoc">Edit this Page</a></div>
  </div>
  <div class="content">
<aside class="toc sidebar" data-title="Contents" data-levels="1">
  <div class="toc-menu"></div>
</aside>
<article class="doc">
<h1 class="page">What&#8217;s new in Antidoc v2.0</h1>
<div id="preamble">
<div class="sectionbody">
<div class="paragraph">
<p>This version brings an add-on mechanism that enables the creation of different kinds of documents.</p>
</div>
</div>
</div>
<div class="sect1">
<h2 id="antidoc-v2-0-5"><a class="anchor" href="#antidoc-v2-0-5"></a>Antidoc v2.0.5</h2>
<div class="sectionbody">
<div class="sect2">
<h3 id="new-features"><a class="anchor" href="#new-features"></a>New features</h3>
<div class="ulist">
<ul>
<li>
<p>Apply custom attributes to the output -&#8594; <a href="https://gitlab.com/wovalab/open-source/labview-doc-generator/-/issues/224" class="bare">https://gitlab.com/wovalab/open-source/labview-doc-generator/-/issues/224</a></p>
</li>
</ul>
</div>
</div>
<div class="sect2">
<h3 id="improvements"><a class="anchor" href="#improvements"></a>Improvements</h3>
<div class="ulist">
<ul>
<li>
<p>The API now handles empty blocs added to a section correctly  -&#8594; <a href="https://gitlab.com/wovalab/open-source/labview-doc-generator/-/issues/205" class="bare">https://gitlab.com/wovalab/open-source/labview-doc-generator/-/issues/205</a></p>
</li>
<li>
<p>Update classy viewer to handle possible name conflicts  -&#8594; <a href="https://gitlab.com/wovalab/open-source/labview-doc-generator/-/issues/221" class="bare">https://gitlab.com/wovalab/open-source/labview-doc-generator/-/issues/221</a></p>
</li>
<li>
<p>Remove statistics usage collection  -&#8594; <a href="https://gitlab.com/wovalab/open-source/labview-doc-generator/-/issues/223" class="bare">https://gitlab.com/wovalab/open-source/labview-doc-generator/-/issues/223</a></p>
</li>
</ul>
</div>
</div>
<div class="sect2">
<h3 id="bug-fixes"><a class="anchor" href="#bug-fixes"></a>Bug fixes</h3>
<div class="ulist">
<ul>
<li>
<p>Function names containing 'vi' before the *.vi extension are now correctly displayed in the class diagrams  -&#8594; <a href="https://gitlab.com/wovalab/open-source/labview-doc-generator/-/issues/209" class="bare">https://gitlab.com/wovalab/open-source/labview-doc-generator/-/issues/209</a></p>
</li>
<li>
<p>The internal image copy now works even if the Antidoc functions are built into a PPL -&#8594; <a href="https://gitlab.com/wovalab/open-source/labview-doc-generator/-/issues/226"" class="bare">https://gitlab.com/wovalab/open-source/labview-doc-generator/-/issues/226"</a></p>
</li>
</ul>
</div>
</div>
</div>
</div>
<div class="sect1">
<h2 id="antidoc-v2-0-4"><a class="anchor" href="#antidoc-v2-0-4"></a>Antidoc v2.0.4</h2>
<div class="sectionbody">
<div class="sect2">
<h3 id="improvements-2"><a class="anchor" href="#improvements-2"></a>Improvements</h3>
<div class="ulist">
<ul>
<li>
<p>Add a button in the main UI to open this doc site  -&#8594; <a href="https://gitlab.com/wovalab/open-source/labview-doc-generator/-/issues/204" class="bare">https://gitlab.com/wovalab/open-source/labview-doc-generator/-/issues/204</a></p>
</li>
</ul>
</div>
</div>
<div class="sect2">
<h3 id="bug-fixes-2"><a class="anchor" href="#bug-fixes-2"></a>Bug fixes</h3>
<div class="ulist">
<ul>
<li>
<p>For the add-ons using the `classy' library provided with Antidoc, the classes owned by a library that has a composition link with another class are now correctly represented in the diagram class &#8594; <a href="https://gitlab.com/wovalab/open-source/labview-doc-generator/-/issues/192" class="bare">https://gitlab.com/wovalab/open-source/labview-doc-generator/-/issues/192</a></p>
</li>
</ul>
</div>
</div>
</div>
</div>
<div class="sect1">
<h2 id="antidoc-v2-0-3"><a class="anchor" href="#antidoc-v2-0-3"></a>Antidoc v2.0.3</h2>
<div class="sectionbody">
<div class="sect2">
<h3 id="improvements-3"><a class="anchor" href="#improvements-3"></a>Improvements</h3>
<div class="ulist">
<ul>
<li>
<p>Placeholder string for missing content can be configured  -&#8594; <a href="https://gitlab.com/wovalab/open-source/labview-doc-generator/-/issues/103" class="bare">https://gitlab.com/wovalab/open-source/labview-doc-generator/-/issues/103</a></p>
</li>
<li>
<p>New utility to get the file name of private scope icon  -&#8594; <a href="https://gitlab.com/wovalab/open-source/labview-doc-generator/-/issues/197" class="bare">https://gitlab.com/wovalab/open-source/labview-doc-generator/-/issues/197</a></p>
</li>
<li>
<p>Improve dialog content when no add-on is installed  -&#8594; <a href="https://gitlab.com/wovalab/open-source/labview-doc-generator/-/issues/198" class="bare">https://gitlab.com/wovalab/open-source/labview-doc-generator/-/issues/198</a></p>
</li>
<li>
<p>Add missing functions in the palette  -&#8594; <a href="https://gitlab.com/wovalab/open-source/labview-doc-generator/-/issues/199" class="bare">https://gitlab.com/wovalab/open-source/labview-doc-generator/-/issues/199</a>
*Add a Path input for the Save Config VI  -&#8594; <a href="https://gitlab.com/wovalab/open-source/labview-doc-generator/-/issues/200" class="bare">https://gitlab.com/wovalab/open-source/labview-doc-generator/-/issues/200</a></p>
</li>
</ul>
</div>
</div>
</div>
</div>
<div class="sect1">
<h2 id="antidoc-v2-0-2"><a class="anchor" href="#antidoc-v2-0-2"></a>Antidoc v2.0.2</h2>
<div class="sectionbody">
<div class="sect2">
<h3 id="improvements-4"><a class="anchor" href="#improvements-4"></a>Improvements</h3>
<div class="ulist">
<ul>
<li>
<p>Add missing function Get Final Document into the palette &#8594; <a href="https://gitlab.com/wovalab/open-source/labview-doc-generator/-/issues/194" class="bare">https://gitlab.com/wovalab/open-source/labview-doc-generator/-/issues/194</a></p>
</li>
<li>
<p>Add missing function Launch Config Panel into the palette &#8594; <a href="https://gitlab.com/wovalab/open-source/labview-doc-generator/-/issues/191" class="bare">https://gitlab.com/wovalab/open-source/labview-doc-generator/-/issues/191</a></p>
</li>
<li>
<p>Add missing function Set Total Steps into the palette &#8594; <a href="https://gitlab.com/wovalab/open-source/labview-doc-generator/-/issues/195" class="bare">https://gitlab.com/wovalab/open-source/labview-doc-generator/-/issues/195</a></p>
</li>
<li>
<p>Add missing function descriptions into the palette &#8594; <a href="https://gitlab.com/wovalab/open-source/labview-doc-generator/-/issues/193" class="bare">https://gitlab.com/wovalab/open-source/labview-doc-generator/-/issues/193</a></p>
</li>
<li>
<p>Add a Patreon button to enable sponsoring &#8594; <a href="https://gitlab.com/wovalab/open-source/labview-doc-generator/-/issues/196" class="bare">https://gitlab.com/wovalab/open-source/labview-doc-generator/-/issues/196</a></p>
</li>
</ul>
</div>
</div>
<div class="sect2">
<h3 id="bug-fixes-3"><a class="anchor" href="#bug-fixes-3"></a>Bug fixes</h3>
<div class="ulist">
<ul>
<li>
<p>No more error thrown when you load a config with the API without calling the Launch Config Panel before &#8594; <a href="https://gitlab.com/wovalab/open-source/labview-doc-generator/-/issues/192" class="bare">https://gitlab.com/wovalab/open-source/labview-doc-generator/-/issues/192</a></p>
</li>
</ul>
</div>
</div>
</div>
</div>
<div class="sect1">
<h2 id="antidoc-v2-0-1"><a class="anchor" href="#antidoc-v2-0-1"></a>Antidoc v2.0.1</h2>
<div class="sectionbody">
<div class="sect2">
<h3 id="improvements-5"><a class="anchor" href="#improvements-5"></a>Improvements</h3>
<div class="ulist">
<ul>
<li>
<p>Add missing accessors to allow section content modification through the API &#8594; <a href="https://gitlab.com/wovalab/open-source/labview-doc-generator/-/issues/184" class="bare">https://gitlab.com/wovalab/open-source/labview-doc-generator/-/issues/184</a></p>
</li>
<li>
<p>Add a "skip header" option to the output generation &#8594; <a href="https://gitlab.com/wovalab/open-source/labview-doc-generator/-/issues/188" class="bare">https://gitlab.com/wovalab/open-source/labview-doc-generator/-/issues/188</a></p>
</li>
</ul>
</div>
</div>
<div class="sect2">
<h3 id="bug-fixes-4"><a class="anchor" href="#bug-fixes-4"></a>Bug fixes</h3>
<div class="ulist">
<ul>
<li>
<p>No more error 5000 when special characters are in the document description &#8594; <a href="https://gitlab.com/wovalab/open-source/labview-doc-generator/-/issues/185" class="bare">https://gitlab.com/wovalab/open-source/labview-doc-generator/-/issues/185</a></p>
</li>
<li>
<p>Add New step function in palette &#8594; <a href="https://gitlab.com/wovalab/open-source/labview-doc-generator/-/issues/189" class="bare">https://gitlab.com/wovalab/open-source/labview-doc-generator/-/issues/189</a></p>
</li>
</ul>
</div>
</div>
</div>
</div>
<div class="sect1">
<h2 id="antidoc-v2-0-0"><a class="anchor" href="#antidoc-v2-0-0"></a>Antidoc v2.0.0</h2>
<div class="sectionbody">
<div class="paragraph">
<p>This first release implements the two following add-ons.</p>
</div>
<div class="ulist">
<ul>
<li>
<p><a href="#addon-lvproj">LabVIEW project</a> add-on</p>
</li>
<li>
<p><a href="#addon-toolkit">LabVIEW toolkit</a> add-on</p>
</li>
</ul>
</div>
</div>
</div>
<nav class="pagination">
  <span class="next"><a href="general-info.html">General information</a></span>
</nav>
</article>
  </div>
</main>
</div>
<footer class="footer">
  <p>Wovalab © 2018-2022</p>
</footer>
<script id="site-script" src="../../_/js/site.js" data-ui-root-path="../../_"></script>
<script async src="../../_/js/vendor/highlight.js"></script>
<script src="../../_/js/vendor/lunr.js"></script>
<script src="../../_/js/search-ui.js" id="search-ui-script" data-site-root-path="../.." data-snippet-length="100" data-stylesheet="../../_/css/search.css"></script>
<script async src="../../search-index.js"></script>
  </body>
</html>
